Home

Screen Corruption
Closed, ResolvedPublic

Description
I'm having some serious problems with screen corruption.

I'm running blender-CVS-20061225, but I've also tried the binary release, which used to work before. Compiling blender from source has always given me this problem, but now it also happens with the binary release.

When I select an object in object mode, the corruption occurs, with pink lines being painted across the screen. Many times, these lines disappear when I enter edit mode, but suddenly that don't work anymore and I have to restart blender.

I'm on GNU/Linux-2.6.18-rt7 with mesa-6.5.

I have ATI Radeon 9250 (rv280) and I'm using the DRI drivers.

I've uploaded a screenshot of what I'm seeing.

It makes it very impossible use blender. It happens every time, no matter what I do.

Any pointers as to what I can try?
b0ef (Esben Stien) set Type to OpenGL Error.Via Old WorldApr 5 2007, 5:37 PM
b0ef (Esben Stien) added a comment.Via Old WorldApr 5 2007, 6:44 PM
Logged In: YES
user_id=4611

Correction: It doesn't happen no matter what I do. It only happens when using curves, such as bezier curves
ton (Ton Roosendaal) added a comment.Via Old WorldApr 9 2007, 11:23 AM
Logged In: YES
user_id=103

This is a DRI bug... you could try to compare it with other drivers (like from ATI), or check it on a different computer (like with nvidia card), or check it using software opengl (mesa3d) only.

The only thing we could do is accept a patch from someone bypassing this error.
letterrip (Tom Musgrove) added a comment.Via Old WorldMar 21 2010, 9:51 PM
This is a generic request to test your bug report and see if it is still an issue in 2.5alpha2 if so please let me know by making a comment in this report ie 'also in 2.5alpha2' and I will add it to the 2.5 bug list.
broken (Matt Ebb) closed this task as "Archived".Via Old WorldMar 26 2010, 6:37 AM
Diffusion changed the task status from "Archived" to "Resolved".Via DaemonsNov 8 2014, 2:40 PM

Closed by commit rPb655699a6cfb.

Add Comment